<script lang="ts">
  export let listType: "ol" | "ul";
</script>

{#if listType == "ul"}
  <ul>
    <slot />
  </ul>
{:else if listType == "ol"}
  <ol><slot /></ol>
{/if}

<style>
  ul {
    list-style-type: disc;
    margin-bottom: 1.5rem;
    padding-left: 3rem;
  }
  ol {
    margin-bottom: 1.5rem;
  }
</style>
